Acceptors
The TapTree API revolves around payment acceptors representing, for instance, your online store in our systems. Thus, acceptors are essential for payment processing and payment method activation. When setting up your account, you'll create at least one acceptor.
If you run multiple stores or diverse business operations, multiple acceptors allow tailored payment processing for each unit. The Acceptors API facilitates easy management of these acceptors and their payment methods, ensuring streamlined transaction handling across your business's various segments.
Discover the Acceptors resource using Postman:
TapTree Postman CollectionThe acceptor model
The Acceptor endpoints in the TapTree API enable you to manage various aspects of payment acceptors within your organization.
Core Attributes
- Name
id- Type
- string
- Description
Unique identifier for the acceptor.
- Name
org_id- Type
- string
- Description
Identifier for the corresponding organization that the acceptor is associated with.
- Name
category_code- Type
- string
- Description
A code representing the category of the acceptor. This is crucial for regulatory compliance. Categories include diverse sectors like
Digital Products,Retail,Personal Services, and more.
- Name
name- Type
- string
- Description
The name of the acceptor, which is either the business or the trade name.
- Name
status- Type
- string
- Description
Indicates the current status of the acceptor.
Available status:
pending_setup,under_review,active,suspended.When the status is
pending_setuporunder_review, limited operations such as collecting money are allowed inlivemode. However, payouts will remain blocked until the status changes toactive. This setup ensures a quick start with TapTree while upholding regulatory compliance prior to the disbursement of funds.A
suspendedstatus signifies a total halt of all functionalities and transactions inlivemode. This status is applied during critical regulatory situations requiring resolution of corresponding issues before any active operations can resume. We will directly contact you of any such situations and help you resolve them as quickly as possible.
- Name
mode- Type
- string
- Description
Operational mode of the acceptor, either
liveortest. The operator can be set to only allow test payments. This is useful for testing your integration. Once set tolive, the acceptor can accept real payments.When set to
live, the acceptor and organization must be verified and approved by TapTree. Thus, a verification process is triggered. This process can take up to 14 days. During this time, the acceptor will remain inunder_reviewstatus.
- Name
website_url- Type
- string
- Description
The URL of the acceptor's website or online platform.
- Name
active_payment_methods- Type
- array
- Description
A list of payment methods that are activated for the acceptor, like
card,paypal,applepay.For a complete list of available payment methods, see the payment model.
- Name
offered_products_description- Type
- string
- Description
A brief description of the products or services offered over the acceptor.
- Name
most_sales_countries- Type
- array
- Description
An array of country codes representing the primary markets where most sales occur.
- Name
contact- Type
- object
- Description
Contact information of the acceptor, including email and phone number.
- Name
created_at- Type
- datetime
- Description
Timestamp marking the creation of the acceptor, in ISO 8601 format.
- Name
links- Type
- object
- Description
Contains links related to the acceptor object
apiand in thedashboard.
Acceptor object
{
"object": "acceptor",
"id": "acceptor_4z1AigXhkuZ",
"org_id" : "org_5A8hsNqGGyW",
"category_code": "hotels_lodging",
"name": "Hotel Webshop",
"status": "active",
"mode": "test",
"website_url": "https://my-best-bio-hotel.com",
"active_payment_methods": [
"card",
"paypal",
"sofort",
"applepay",
"googlepay"
],
"offered_products_description": "Travel & Business Accommodation",
"most_sales_countries": [
"DE", "AT"
],
"contact": {
"email": "hey@my-best-bio-hotel.com",
"phone": "+49 30 123456789"
},
"created_at": "2021-01-01T12:02:00.100Z",
"links": {
"api": {
"href": "https://api.taptree.org/v1/acceptors/acceptor_4z1AigXhkuZ",
"type": "application/json"
},
"dashboard": {
"href": "https://my.taptree.org/org_5A8hsNqGGyW/acceptors/acceptor_4z1AigXhkuZ/general",
"type": "text/html"
}
}
}
Retrieve an acceptor
Fetch details of a the acceptor associated with your API key. This enables you to access comprehensive information about the acceptor, such as status, contact details, category code, and operational mode. No parameters are required.
Request
curl https://api.taptree.org/v1/acceptor \
-H "Authorization: Bearer {token}"
Example response
{
"object": "acceptor",
"id": "acceptor_4z1AigXhkuZ",
"org_id": "org_5A8hsNqGGyW",
"category_code": "hotels_lodging",
"name": "Hotel Webshop",
"status": "active",
"mode": "test",
"website_url": "https://my-best-bio-hotel.com",
"active_payment_methods": [
"card",
"paypal",
"sofort",
"applepay",
"googlepay"
],
"offered_products_description": "Travel & Business Accommodation",
"most_sales_countries": ["DE", "AT"],
"contact": {
"email": "hey@my-best-bio-hotel.com",
"phone": "+49 30 123456789"
},
"created_at": "2021-01-01T12:02:00.100Z",
"links": {
"api": {
"href": "https://api.taptree.org/v1/acceptors/acceptor_4z1AigXhkuZ",
"type": "application/json"
},
"dashboard": {
"href": "https://my.taptree.org/org_5A8hsNqGGyW/acceptors/acceptor_4z1AigXhkuZ/general",
"type": "text/html"
}
}
}